"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:tea/compiler' }"

"{ NameSpace: Smalltalk }"

TVariableBinding subclass:#TArgumentBinding
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Languages-Tea-Compiler-Bindings'
!

!TArgumentBinding class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
! !

!TArgumentBinding methodsFor:'accessing'!

index
    ^ index
! !

!TArgumentBinding methodsFor:'initialization'!

index:anInteger
    index := anInteger.
! !

!TArgumentBinding methodsFor:'printing & storing'!

printOn:aStream
    aStream nextPutAll: '[A] '.
    super printOn: aStream.
    aStream nextPutAll: ' ('.    
    index notNil ifTrue:[ 
        index printOn: aStream
    ] ifFalse:[ 
        aStream nextPut: $?
    ].
    aStream nextPut: $).

    "Created: / 25-08-2015 / 22:54:32 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 02-09-2015 / 08:28:53 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!TArgumentBinding methodsFor:'testing'!

isArgumentBinding
    ^ true
! !

!TArgumentBinding class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

